For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/api/latest/entity-integration-configs/get-an-entity-integration-configuration.md. A documentation index is available at /llms.txt.

Get an entity integration configuration

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/idp/entity_integrations/{integration_id}https://api.ap2.datadoghq.com/api/v2/idp/entity_integrations/{integration_id}https://api.datadoghq.eu/api/v2/idp/entity_integrations/{integration_id}https://api.ddog-gov.com/api/v2/idp/entity_integrations/{integration_id}https://api.us2.ddog-gov.com/api/v2/idp/entity_integrations/{integration_id}https://api.uk1.datadoghq.com/api/v2/idp/entity_integrations/{integration_id}https://api.datadoghq.com/api/v2/idp/entity_integrations/{integration_id}https://api.us3.datadoghq.com/api/v2/idp/entity_integrations/{integration_id}https://api.us5.datadoghq.com/api/v2/idp/entity_integrations/{integration_id}

Overview

Retrieve the configuration currently stored for a given integration in the caller’s organization. This endpoint requires the integrations_read permission.

Arguments

Path Parameters

Name

Type

Description

integration_id [required]

string

The identifier of the integration whose configuration is being managed. Supported values are github, jira, and pagerduty.

Response

OK

Expand All

Field

Type

Description

data [required]

object

JSON:API resource object for an entity integration configuration.

attributes [required]

object

The organization ID, integration identifier, and integration-specific configuration payload for an entity integration configuration.

config [required]

object

Integration-specific configuration payload. The shape of this object depends on the integration identified by the path parameter. For github, the object must contain an enabled_repos array. For jira, it must contain an enabled_projects array. For pagerduty, it must contain an accounts array.

integration_id [required]

string

The identifier of the integration this configuration applies to (for example, github, jira, or pagerduty).

org_id [required]

int64

The Datadog organization identifier that owns this configuration.

id [required]

string

Unique identifier of the entity integration configuration.

type [required]

enum

JSON:API resource type for an entity integration configuration. Always entity_integration_configs. Allowed enum values: entity_integration_configs

default: entity_integration_configs

{
  "data": {
    "attributes": {
      "config": {
        "enabled_repos": [
          {
            "github_org_name": "myorg",
            "hostname": "github.com",
            "repo_name": "myrepo"
          }
        ]
      },
      "integration_id": "github",
      "org_id": 1234
    },
    "id": "01HJABCD12345678ABCDEFGHIJ",
    "type": "entity_integration_configs"
  }
}

JSON:API document containing a single entity integration configuration resource.

Expand All

Field

Type

Description

data [required]

object

JSON:API resource object for an entity integration configuration.

attributes [required]

object

The organization ID, integration identifier, and integration-specific configuration payload for an entity integration configuration.

config [required]

object

Integration-specific configuration payload. The shape of this object depends on the integration identified by the path parameter. For github, the object must contain an enabled_repos array. For jira, it must contain an enabled_projects array. For pagerduty, it must contain an accounts array.

integration_id [required]

string

The identifier of the integration this configuration applies to (for example, github, jira, or pagerduty).

org_id [required]

int64

The Datadog organization identifier that owns this configuration.

id [required]

string

Unique identifier of the entity integration configuration.

type [required]

enum

JSON:API resource type for an entity integration configuration. Always entity_integration_configs. Allowed enum values: entity_integration_configs

default: entity_integration_configs

{
  "data": {
    "attributes": {
      "config": {
        "enabled_repos": [
          {
            "github_org_name": "myorg",
            "hostname": "github.com",
            "repo_name": "myrepo"
          }
        ]
      },
      "integration_id": "github",
      "org_id": 1234
    },
    "id": "01HJABCD12345678ABCDEFGHIJ",
    "type": "entity_integration_configs"
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Authorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export integration_id="github"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/idp/entity_integrations/${integration_id}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"
"""
Get an entity integration configuration returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.entity_integration_configs_api import EntityIntegrationConfigsApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
configuration.unstable_operations["get_entity_integration_config"] = True
with ApiClient(configuration) as api_client:
    api_instance = EntityIntegrationConfigsApi(api_client)
    response = api_instance.get_entity_integration_config(
        integration_id="github",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Get an entity integration configuration returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
  config.unstable_operations["v2.get_entity_integration_config".to_sym] = true
end
api_instance = DatadogAPIClient::V2::EntityIntegrationConfigsAPI.new
p api_instance.get_entity_integration_config("github")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Get an entity integration configuration returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetEntityIntegrationConfig", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewEntityIntegrationConfigsApi(apiClient)
	resp, r, err := api.GetEntityIntegrationConfig(ctx, "github")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `EntityIntegrationConfigsApi.GetEntityIntegrationConfig`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `EntityIntegrationConfigsApi.GetEntityIntegrationConfig`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Get an entity integration configuration returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.EntityIntegrationConfigsApi;
import com.datadog.api.client.v2.model.EntityIntegrationConfigResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    defaultClient.setUnstableOperationEnabled("v2.getEntityIntegrationConfig", true);
    EntityIntegrationConfigsApi apiInstance = new EntityIntegrationConfigsApi(defaultClient);

    try {
      EntityIntegrationConfigResponse result = apiInstance.getEntityIntegrationConfig("github");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling EntityIntegrationConfigsApi#getEntityIntegrationConfig");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Get an entity integration configuration returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_entity_integration_configs::EntityIntegrationConfigsAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.get_entity_integration_config", true);
    let api = EntityIntegrationConfigsAPI::with_config(configuration);
    let resp = api
        .get_entity_integration_config("github".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Get an entity integration configuration returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
configuration.unstableOperations["v2.getEntityIntegrationConfig"] = true;
const apiInstance = new v2.EntityIntegrationConfigsApi(configuration);

const params: v2.EntityIntegrationConfigsApiGetEntityIntegrationConfigRequest =
  {
    integrationId: "github",
  };

apiInstance
  .getEntityIntegrationConfig(params)
  .then((data: v2.EntityIntegrationConfigResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"